# Asterisk Project : Asterisk 12 Configuration_app_skel

Added by wikibot , edited by wikibot on Aug 29, 2013

This configuration documentation is for functionality provided by `app_skel`.

## app_skel.conf

### globals

Options that apply globally to app_skel

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`games` |  |  |  | The number of games a single execution of SkelGuessNumber will play
`cheat` |  |  |  | Should the computer cheat?

#### Configuration Option Descriptions

##### cheat

If enabled, the computer will ignore winning guesses.

### sounds

Prompts for SkelGuessNumber to play

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`prompt` |  | `please-enter-yournumberqueue-less-than` |  | A prompt directing the user to enter a number less than the max number
`wrong_guess` |  | `vm-pls-try-again` |  | The sound file to play when a wrong guess is made
`right_guess` |  | `auth-thankyou` |  | The sound file to play when a correct guess is made
`too_low` |  |  |  | The sound file to play when a guess is too low
`too_high` |  |  |  | The sound file to play when a guess is too high
`lose` |  | `vm-goodbye` |  | The sound file to play when a player loses

### level

Defined levels for the SkelGuessNumber game

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`max_number` |  |  |  | The maximum in the range of numbers to guess (1 is the implied minimum)
`max_guesses` |  |  |  | The maximum number of guesses before a game is considered lost

### Import Version

This documentation was imported from Asterisk Version Unknown